#include <iostream>
#include <string>
using namespace std;

int main()
{
    int zbir=0;
    int a,k;
    int niz[a];
    int m = 1000000007;
    cin>>a>>k;
   for(long long i=0;i<a;i++)
    {
        cin>>niz[i];
        zbir=zbir+niz[i];
    }
    int rezultat = zbir % m;
   if(k==0) cout<<rezultat; 
    else cout<<0;
    return 0;
}